# $Revision: 1.35 $, $Date: 2007/02/05 11:22:51 $
Summary:	Process monitor and restart utility
Summary(pl):	Narzdzie do monitorowania procesw i ich restartowania
Name:		monit
Version:	4.8.2
Release:	1
License:	GPL
Group:		Applications/Console
Source0:	http://www.tildeslash.com/monit/dist/%{name}-%{version}.tar.gz
# Source0-md5:	e7ad6056c71becf014653f6597d110ca
Source1:	%{name}.init
Patch0:		%{name}-localhost-http.patch
URL:		http://www.tildeslash.com/monit/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monit is an utility for monitoring daemons or similar programs running
on a Unix system. It will start specified programs if they are not
running and restart programs not responding.

%description -l pl
monit jest narzdziem do monitorowania demonw oraz podobnych
programw pracujcych w systemie Unix. monit zrestartuje podany
program w momencie gdy przestaje on pracowa lub w momencie gdy
program przestaje odpowiada.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-ssl-lib-dir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,monit}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# include all files provided by services:
echo "include %{_sysconfdir}/monit/*.monitrc" >> monitrc.main

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install monitrc.main $RPM_BUILD_ROOT%{_sysconfdir}/monitrc
install monitrc $RPM_BUILD_ROOT%{_sysconfdir}/monit/default.monitrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service monit restart "Monit Daemon"

%preun
if [ "$1" = "0" ]; then
	%service monit stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc doc/*.html CHANGES.txt CONTRIBUTORS FAQ.txt README*
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}rc
%attr(751,root,root) %dir %{_sysconfdir}/monit
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monit/*.monitrc
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: monit.spec,v $
Revision 1.35  2007/02/05 11:22:51  glen
- update to 4.8.2

Revision 1.34  2006/10/05 10:56:25  glen
- rel 4

Revision 1.33  2006/10/04 23:33:15  aredridel
- add localhost-http fix

Revision 1.32  2006/10/01 22:05:10  glen
- rel 3

Revision 1.31  2006/05/09 18:12:50  glen
- do it correctly

Revision 1.30  2006/05/09 17:43:21  glen
- hack for CVS server, rel 2

Revision 1.29  2006/05/09 16:59:22  glen
- up to 4.8.1

Revision 1.28  2005/12/01 01:55:46  glen
- updated to 4.6
- refresh macros

Revision 1.27  2005/07/03 16:45:03  arekm
- up to 4.5.1

Revision 1.26  2004/09/24 11:38:45  paladine
- rel down to 0.1

Revision 1.25  2004/09/24 09:24:50  paladine
- updated to 4.4 (not tested)

Revision 1.24  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.23  2004/07/26 20:10:47  undefine
- release 2

Revision 1.22  2004/07/26 19:08:24  undefine
- define ssllibdir to %{_libdir} - mayby it help on amd64...

Revision 1.21  2004/07/26 18:55:02  undefine
- release 1

Revision 1.20  2004/05/12 22:48:40  paszczus
- updated to 4.3 (need testing)

Revision 1.19  2004/04/27 11:17:35  blues
- oops

Revision 1.18  2004/04/27 11:16:50  blues
- release 3 - now include is ok.

Revision 1.17  2004/04/27 10:51:59  blues
- include every file in /etc/monit/ directory. Now it's possible to prepare
  files provided by every package to do automatic monitoring.

Revision 1.16  2004/04/15 14:43:31  blues
- 4.2.1 - security update (Not Tested)

Revision 1.15  2004/03/19 23:46:30  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.14  2004/01/15 10:25:14  mwinkler
- up to 1.4.1
- fix security vulnerabilities (Long http method stack overflow & DoS)

Revision 1.13  2003/10/27 15:38:21  arekm
- updated to 4.1

Revision 1.12  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.11  2003/09/08 17:28:05  arekm
- use /proc/meminfo instead of /proc/kcore

Revision 1.10  2003/09/08 14:33:51  arekm
- updated to snap 4.0-20030908

Revision 1.9  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.8  2003/06/26 16:15:29  arekm
- updated to 4.0 cvs version

Revision 1.7  2003/06/14 21:46:45  arekm
- remove url for distfiles

Revision 1.6  2003/06/09 17:49:04  arekm
- updated to latest cvs version

Revision 1.5  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/27 22:07:21  qboosh
- Requires(post,preun): chkconfig

Revision 1.2  2003/02/19 13:21:39  misiek
- permissions required by program

Revision 1.1  2003/02/19 13:14:23  misiek
- initial pld release
